# Overview

This API reference provides a comprehensive listing of all the Seam API resources and endpoints. It also explains how to install the Seam SDKs that enable you to use Seam in the programming language of your choice.

See the following reference topics:

## Getting Started

* [SDK Installation](/latest/api/installation.md)
* [MCP Installation](/latest/api/mcp-installation.md)
* [Authentication](/latest/api/authentication.md)
* [Client Sessions](/latest/api/client_sessions.md)
* [Workspaces](/latest/api/workspaces.md)

## Controlling Devices and Systems

* [Connect Webviews](/latest/api/connect_webviews.md)
* [Devices](/latest/api/devices.md)
  * [Locks](/latest/api/locks.md)
    * [Access Codes](/latest/api/access_codes.md)
  * [Thermostats](/latest/api/thermostats.md)
  * [Noise Sensors](/latest/api/noise_sensors.md)
* [Access Control Systems](/latest/api/acs.md)
  * [User Identities](/latest/api/user_identities.md)
  * [Phones](/latest/api/phones.md)

## Monitoring

* [Events](/latest/api/events.md)
* [Action Attempts](/latest/api/action_attempts.md)
* [Connected Accounts](/latest/api/connected_accounts.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
